define([
	'dojo/_base/declare', 'dojo/_base/lang', 'dojo/topic', 'epi/cms/contentediting/ContentActionSupport',
	'epi/shell/command/_Command', 'epi/cms/_ContentContextMixin'
], function(declare, lang, topic, ContentActionSupport, _Command, _ContentContextMixin) {
	return declare([_Command, _ContentContextMixin], {
		label: 'GlobalLink',
		tooltip: 'GlobalLinkDashboard',
		iconClass: 'dijitNoIcon',

		contentContextChanged: function() {
			this.getCurrentContent().then(lang.hitch(this, 'set', 'model'));
		},

		_execute: function() {
			topic.publish('/epi/shell/action/changeview', 'addon/view/GLComponent', null, this.model);
		},

		_onModelChange: function() {
			var model = this.model,
				canExecute = model && ContentActionSupport.hasAccess(model.accessMask, ContentActionSupport.accessLevel.Administer);
			this.set('canExecute', canExecute);
		}
	});
});