<%@ Page Language="c#" CodeBehind="PageTranslation.aspx.cs" AutoEventWireup="true"
	EnableViewState="true" EnableViewStateMac="true" Inherits="GlobalLink.Translation.ui.PageTranslation" %>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
	<style type="text/css">
		table.epi-default
		{
			width: 100%;
			border-collapse: collapse;
			border: none;
			empty-cells: show;
			border: 1px solid #aeaeae;
			color: #131313;
		}
		.epi-header
		{
			border: 1px solid #aeaeae;
			background: #e4e4e4 url(images/Gradients.png) 0px -2300px repeat-x;
			-webkit-background-size: auto 100% !important;
			background-size: 100% 100%;
			font-weight: normal;
			height: 25px;
		}
		.epi-header th
		{
			font-weight: normal;
		}
		tr, td, th
		{
			font-family: Verdana,Arial,Helvetica,sans-serif;
			font-size: 13px;
		}
		tr, td, th a
		{
			color:#131313;
		}
		th
		{
			text-align:left;
		}
		table.epi-default td
		{
			padding: 3px 11px;
			height:auto;
			height: 35px;
			border-top:1px solid #000 ;
			border-bottom:1px solid #000 ;
		}
		table.epi-default tbody > tr:nth-child(odd) > td
		{
			background-color: #f3f3f3;
		}
		.menutabs
		{
			margin-left: 13px !important;
		}
		.notSelected
		{
			font-weight: bold;
			background-color: #DDD;
			border: Solid 1px black;
			padding: 5px 10px !important;
			color: #111;
			font-family: Verdana,Arial,Helvetica,sans-serif;
			font-size: 13px;
		}
		.pagespacing
		{
			margin: 10px;
		}
		.selected
		{
			font-weight: bold;
			background-color: #BBB;
			border: Solid 1px black;
		}
		.empty
		{
			min-width: 0;
		}
		tr.pager td table td
		{
			padding: 0 5px 0 0;
		}
		tr.pager td table td a
		{
			text-decoration: underline;
		}
	</style>
	<title>GlobalLink Dashboard</title>
	<script type="text/javascript">
		function CheckAllCancel(obj) {
			for (var i = 0; i < obj.form.elements.length; i++) {
				if (obj.form.elements[i].name.indexOf('chkCancel') != -1 &&
        obj.form.elements[i].type == 'checkbox' &&
        obj.form.elements[i].name != obj.name) {
					if (obj.checked) {
						obj.form.elements[i].checked = true;
					}
					else {
						obj.form.elements[i].checked = false;
					}
				}
			}
		}
		function CheckOther(obj, id) {
			var prefix = new String(obj.id);
			prefix = prefix.substring(0, prefix.indexOf('GridView1')) + 'GridView1_ctl01_' + id;
			if (document.getElementById(prefix))
				document.getElementById(prefix).checked = false;
		}
	</script>
</head>
<body>
	<form id="form1" runat="server" action="PageTranslation.aspx">
	<div class="pagespacing">
		<p>
		</p>
		<table width="155" cellspacing="0" cellpadding="0" style="margin-left: 7px">
			<tr>
				<th>
					<asp:ImageButton ID="btnNewProject" runat="server" ImageUrl="Images/NewProject.jpg"
						OnClick="btnNewProject_Click" />
				</th>
				<th>
					<asp:ImageButton ID="btnRefresh" runat="server" ImageUrl="Images/Refresh.jpg" OnClick="btnRefresh_Click" />
				</th>
				<th>
					<asp:ImageButton ID="btnExportDashboard" runat="server" ImageUrl="Images/ExportCSV.jpg"
						OnClick="btnExportDashboard_Click" />
				</th>
				<th>
					<asp:ImageButton ID="btnCSV" runat="server" ImageUrl="Images/ExportCSV.jpg" OnClick="btnCSV_Click" />
				</th>
				<th>
					<asp:ImageButton ID="btnGetAllPages" runat="server" ImageUrl="Images/GetAllPages.jpg"
						OnClick="btnGetAllPages_Click" ToolTip="List all pages from this node." />
				</th>
			</tr>
		</table>
		<br />
		<asp:Panel ID="pnlGetcount" runat="server" Visible="true">
			<div>
				<asp:Menu ID="mymenuTabs" StaticMenuStyle-CssClass="menutabs" StaticMenuItemStyle-CssClass="notSelected"
					StaticSelectedStyle-CssClass="selected" Orientation="Horizontal" OnMenuItemClick="menuTabs_MenuItemClick"
					StaticSelectedStyle-Font-Underline="true" runat="server">
					<StaticSelectedStyle CssClass="selected" />
					<StaticMenuItemStyle CssClass="notSelected" />
					<Items>
						<asp:MenuItem Value="0" Selected="True" ToolTip="Active Submissions" Text="Active Submissions" />
						<asp:MenuItem Text="Translation History" Value="1" ToolTip="Translation History" />
					</Items>
				</asp:Menu>
				<br />
				<asp:Panel ID="Panel1" runat="server" BorderStyle="None" Direction="LeftToRight"
					EnableTheming="False" HorizontalAlign="Left" Width="690px" Wrap="False" DefaultButton="btnSearch">
					<table cellspacing="2">
						<tr>
							<td align="left">
								<asp:Label ID="lblSearch" runat="server" Font-Bold="False" Font-Overline="False"
									Text="Search: "></asp:Label>
							</td>
							<td>
								<asp:TextBox ID="txtPageName" runat="server" Width="200"></asp:TextBox>
								<asp:ImageButton ID="btnSearch" runat="server" ImageUrl="Images/Search.gif" ToolTip="Filter grid by Page Name" />
							</td>
						</tr>
						<tr>
							<td align="left">
								<asp:Label ID="Label1" runat="server" Font-Bold="False" Text="Target Language: "></asp:Label>
							</td>
							<td>
								<asp:DropDownList ID="lstSource" runat="server" AutoPostBack="true" OnSelectedIndexChanged="lstSource_SelectedIndexChanged">
									<asp:ListItem Selected="True" Text="Select" Value="0"></asp:ListItem>
								</asp:DropDownList>
							</td>
						</tr>
						<tr id="tdStatus" runat="server">
							<td align="left">
								<asp:Label ID="lblStatus" runat="server" Font-Bold="False" Text="Status: "></asp:Label>
							</td>
							<td>
								<asp:DropDownList ID="ddlstatus" runat="server" AutoPostBack="true" OnSelectedIndexChanged="ddlstatus_SelectedIndexChanged">
									<asp:ListItem Selected="True" Text="Select" Value="-1"></asp:ListItem>
									<asp:ListItem Selected="false" Text="WaitingToSend" Value="1"></asp:ListItem>
									<asp:ListItem Selected="false" Text="Sent" Value="4"></asp:ListItem>
									<asp:ListItem Selected="false" Text="ReadyForImport" Value="7"></asp:ListItem>
									<asp:ListItem Selected="false" Text="ToCancel" Value="13"></asp:ListItem>
								</asp:DropDownList>
							</td>
						</tr>
						<tr id="tdHistoryStatus" runat="server">
							<td align="left">
								<asp:Label ID="Label2" runat="server" Font-Bold="False" Text="Status: "></asp:Label>
							</td>
							<td>
								<asp:DropDownList ID="ddlHistoryStatus" runat="server" AutoPostBack="true" OnSelectedIndexChanged="ddlstatus_SelectedIndexChanged">
									<asp:ListItem Selected="True" Text="Select" Value="-1"></asp:ListItem>
									<asp:ListItem Selected="false" Text="Imported" Value="9"></asp:ListItem>
									<asp:ListItem Selected="false" Text="Published" Value="10"></asp:ListItem>
									<asp:ListItem Selected="false" Text="Cancelled" Value="14"></asp:ListItem>
								</asp:DropDownList>
							</td>
						</tr>
						<tr id="tdPageType" runat="server">
							<td align="left">
								<asp:Label ID="lblPageType" runat="server" Font-Bold="False" Text="Content type: "></asp:Label>
							</td>
							<td>
								<asp:DropDownList ID="ddlPageType" runat="server" AutoPostBack="true">
									<asp:ListItem Selected="True" Text="Blocks/Pages" Value="1"></asp:ListItem>
									<asp:ListItem Selected="false" Text="Pages" Value="2"></asp:ListItem>
									<asp:ListItem Selected="false" Text="Blocks" Value="3"></asp:ListItem>
									<asp:ListItem Selected="false" Text="Nodes/Products" Value="4"></asp:ListItem>
									<asp:ListItem Selected="false" Text="Nodes" Value="5"></asp:ListItem>
									<asp:ListItem Selected="false" Text="Products" Value="6"></asp:ListItem>
									<asp:ListItem Selected="false" Text="All" Value="7"></asp:ListItem>
								</asp:DropDownList>
							</td>
						</tr>
						<tr>
							<td>
								<asp:Button ID="clearValues1" runat="server" Text="Reset filters" OnClick="btnClear1_Click" />
							</td>
						</tr>
					</table>
				</asp:Panel>
				<table border="0">
					<tr>
						<th align="left" valign="middle" scope="col">
							<asp:MultiView ID="multiTabs" runat="server" ActiveViewIndex="0">
								<asp:View ID="view1" runat="server">
									<table border="0">
										<tr>
											<td align="right" style="text-align: right">
												Show per page:
												<asp:DropDownList ID="gridSize1" runat="server" AutoPostBack="true" Width="50" EnableTheming="false"
													CssClass="empty">
													<asp:ListItem Value="20" Selected="True">20</asp:ListItem>
													<asp:ListItem Value="50" Selected="False">50</asp:ListItem>
													<asp:ListItem Value="75" Selected="False">75</asp:ListItem>
													<asp:ListItem Value="100" Selected="False">100</asp:ListItem>
													<asp:ListItem Value="200" Selected="False">200</asp:ListItem>
												</asp:DropDownList>
											</td>
										</tr>
										<tr>
											<td>
												<asp:GridView ID="GridView1" runat="server" AllowSorting="True" OnSorting="GridView1_Sorting" AllowPaging="true"
													AutoGenerateColumns="False" CellPadding="2" DataKeyNames="pkid" EmptyDataRowStyle-CssClass="error"
													EmptyDataText="No pages found!" OnPageIndexChanging="GridView1_PageIndexChanging" OnDataBound="GridView1_DataBound1"
													CssClass="epi-default" OnSelectedIndexChanged="GridView1_SelectedIndexChanged" GridLines="Horizontal" BorderWidth="1"
													PagerSettings-Mode="NumericFirstLast">
													<HeaderStyle CssClass="epi-header" />
													<RowStyle CssClass="FM-ItemRow" />
													<PagerSettings Mode="NumericFirstLast" FirstPageText="First" LastPageText="Last"
														NextPageText="Next" PreviousPageText="Previous" />
													<PagerStyle ForeColor="Black" HorizontalAlign="Right" BackColor="#C6C3C6" CssClass="pager">
													</PagerStyle>
													<EmptyDataRowStyle CssClass="error" />
													<Columns>
														<asp:TemplateField HeaderText="Submission" SortExpression="subname">
															<ItemTemplate>
																<asp:Label ID="subname" runat="server" Text='<%# Eval("subname").ToString() %>'></asp:Label>
																<br />
																<asp:LinkButton Text="Cancel submission" AutoPostBack="true" ID="btnCancelSubmission" runat="server" OnClick="btn_cancelSubmissionClick" OnClientClick="return confirm('You are going to cancel all targets for this submission. Are you sure?');" />
															</ItemTemplate>
															<ItemStyle Wrap="False" />
														</asp:TemplateField>
														<asp:BoundField DataField="sourceLanguage" HeaderText="Source" ReadOnly="True" SortExpression="sourceLanguage">
															<ItemStyle Wrap="False" />
														</asp:BoundField>
														<asp:BoundField DataField="createdDate" DataFormatString="{0:dd-MM-yyyy}"
															HeaderText="Date Created" HtmlEncode="false" ReadOnly="True" SortExpression="createdDate">
															<ItemStyle Wrap="false" />
														</asp:BoundField>
														<asp:BoundField DataField="dueDate" DataFormatString="{0:dd-MM-yyyy}" HeaderText="Due Date"
															HtmlEncode="false" ReadOnly="True" SortExpression="dueDate">
															<ItemStyle Wrap="false" />
														</asp:BoundField>
														<asp:BoundField DataField="createdBy" HeaderText="Created by" ReadOnly="True" SortExpression="createdBy">
															<ItemStyle Wrap="False" />
														</asp:BoundField>
														<asp:BoundField DataField="pdProjectName" HeaderText="PD Project" ReadOnly="True" SortExpression="pdProjectName" />
														<asp:BoundField DataField="pageLink" HeaderText="ContentID" SortExpression="pageLink" />
														<asp:BoundField DataField="pageType" HeaderText="Type" SortExpression="pageType" />
														<asp:BoundField DataField="pageName" HeaderText="Content Name" ReadOnly="True" SortExpression="pageName">
															<ItemStyle Wrap="False" />
														</asp:BoundField>
														
														<asp:BoundField DataField="projectLanguage" HeaderText="Target" ReadOnly="True" SortExpression="targetLanguage">
															<ItemStyle Wrap="False" />
														</asp:BoundField>
														<asp:TemplateField HeaderText="Status" SortExpression="status">
															<ItemTemplate>
																<%# GetLocalStatus(Eval("status").ToString())%>
															</ItemTemplate>
															<ItemStyle Wrap="False" />
														</asp:TemplateField>
														
														
														
														<asp:TemplateField HeaderText="Cancel">
															<HeaderTemplate>
																<asp:CheckBox ID="chkAllCancel" runat="server" onclick="CheckAllCancel(this)" Text="Cancel" />
															</HeaderTemplate>
															<ItemTemplate>
																<asp:PlaceHolder ID="PlaceHolder4" runat="server" Visible='<%# GetLocalStatus2(Eval("status").ToString())%>'>
																	<asp:CheckBox ID="chkCancel" runat="server" onclick="CheckOther(this, 'chkAllCancel');" />
																</asp:PlaceHolder>
															</ItemTemplate>
															<ItemStyle Wrap="False" />
														</asp:TemplateField>
														<asp:TemplateField HeaderText="AutoPublish">
															<HeaderTemplate>
																<asp:CheckBox ID="chkAllAutoPublish" runat="server" AutoPostBack="true" Text="AutoPublish" />
															</HeaderTemplate>
															<ItemTemplate>
																<asp:CheckBox ID="chkAutoPublish" runat="server" AutoPostBack="true" Checked='<%# Convert.ToBoolean(Eval("autoPublishItem")) %>'  Enabled='true' />
															</ItemTemplate>
														</asp:TemplateField>
														
													</Columns>
												</asp:GridView>
											</td>
										</tr>
									</table>
									<table>
										<tr>
											<td>
												<%--    <!-- DataFormatString="{0:dd-MM-yyyy HH:MM:ss}"  HtmlEncode="false" -->      <asp:Button id="btnImport" CssClass="buttons"  runat="server" OnClick="btnImport_Click" Text="Import" /> <asp:Button id="btnPublished" runat="server" CssClass="buttons" Text="Publish" OnClick="btnPublished_Click" /> --%>
												<asp:ImageButton ID="btnCancel" runat="server" ImageUrl="Images/Cancel.jpg" OnClick="btnCancel_Click" />
											</td>
										</tr>
									</table>
									<br />
									<br />
									&nbsp;<br />
									<br />
								</asp:View>
								<asp:View ID="view2" runat="server">
									<table>
										<tr>
											<td align="right" style="text-align: right">
												Show per page:
												<asp:DropDownList ID="gridSize2" runat="server" AutoPostBack="true" Width="50" EnableTheming="false"
													CssClass="empty">
													<asp:ListItem Value="20" Selected="True">20</asp:ListItem>
													<asp:ListItem Value="50" Selected="False">50</asp:ListItem>
													<asp:ListItem Value="75" Selected="False">75</asp:ListItem>
													<asp:ListItem Value="100" Selected="False">100</asp:ListItem>
													<asp:ListItem Value="200" Selected="False">200</asp:ListItem>
												</asp:DropDownList>
											</td>
										</tr>
										<tr>
											<td>
												<asp:GridView ID="GridView2" runat="server" AutoGenerateColumns="False" AllowPaging="true"
													AllowSorting="true" CellPadding="3" EmptyDataRowStyle-CssClass="error" EmptyDataText="No pages found!"
													CssClass="epi-default" OnPageIndexChanging="GridView2_PageIndexChanging" OnSorting="GridView2_Sorting"
													PagerSettings-Mode="NumericFirstLast">
													<HeaderStyle CssClass="epi-header" />
													<PagerSettings Mode="NumericFirstLast" FirstPageText="First" LastPageText="Last"
														NextPageText="Next" PreviousPageText="Previous" />
													<PagerStyle ForeColor="Black" HorizontalAlign="Right" BackColor="#C6C3C6" CssClass="pager">
													</PagerStyle>
													<RowStyle CssClass="EP-tableCell" />
													<EmptyDataRowStyle CssClass="error" />
													<Columns>
														<asp:BoundField DataField="pageLink" HeaderText="ContentID" ReadOnly="True" SortExpression="pageLink" />
														<asp:BoundField DataField="pageType" HeaderText="Type" SortExpression="pageType" />
														<asp:BoundField DataField="pageName" HeaderText="Content Name" ReadOnly="True" SortExpression="pageName" >
															<ItemStyle Wrap="False" />
														</asp:BoundField>
														<asp:BoundField DataField="sourceLanguage" HeaderText="Source" ReadOnly="True" SortExpression="sourceLanguage" >
															<ItemStyle Wrap="False" />
														</asp:BoundField>
														<asp:TemplateField HeaderText="Target" SortExpression="targetLanguage">
															<ItemTemplate>
																<asp:Label ID="Label1" runat="server" Text='<%# Bind("projectLanguage") %>'></asp:Label>
															</ItemTemplate>
															<EditItemTemplate>
																<asp:Label ID="Label1" runat="server" Text='<%# Eval("projectLanguage") %>'></asp:Label>
															</EditItemTemplate>
															<ItemStyle Wrap="False" />
														</asp:TemplateField>
														<asp:BoundField DataField="sentDate" HeaderText="Sent" HtmlEncode="false" ReadOnly="True" SortExpression="sentDate">
															<ItemStyle Wrap="false" />
														</asp:BoundField>
														<asp:BoundField DataField="receivedDate" HeaderText="Imported" HtmlEncode="false"
															ReadOnly="True" SortExpression="receivedDate">
															<ItemStyle Wrap="false" />
														</asp:BoundField>
														<asp:BoundField DataField="importDate" HeaderText="Published" HtmlEncode="false"
															ReadOnly="True" SortExpression="importDate">
															<ItemStyle Wrap="false" />
														</asp:BoundField>
														<asp:BoundField DataField="cancelDate" HeaderText="Cancelled" HtmlEncode="False"
															ReadOnly="True" SortExpression="cancelDate">
															<ItemStyle Wrap="False" />
														</asp:BoundField>
														<asp:BoundField DataField="lastModifiedBy" HeaderText="User" ReadOnly="True" SortExpression="lastModifiedBy">
															<ItemStyle Wrap="False" />
														</asp:BoundField>
														<asp:BoundField DataField="subname" HeaderText="Submission" ReadOnly="True" SortExpression="subname">
															<ItemStyle Wrap="False" />
														</asp:BoundField>
													</Columns>
												</asp:GridView>
											</td>
										</tr>
									</table>
								</asp:View>
							</asp:MultiView>
						</th>
						<th align="left" valign="middle">
							<span class="style8"></span>
						</th>
						<th align="left" valign="middle">
							&nbsp;
						</th>
					</tr>
				</table>
			</div>
		</asp:Panel>
		<asp:HiddenField ID="hiddenpagelink" runat="server" />
	</div>
	</form>
</body>
</html>
